Results 1 to 3 of 3

Thread: Problem With Installing Debian Packages

  1. #1
    Join Date
    2015-Aug
    Posts
    2

    Problem With Installing Debian Packages

    Hello,

    I am using a Kali Linux 1.1.0a on a 64 bit architecture installed on my HDD as the sole OS. I am a rookie with Linux, and have been having problems with installing debian packages from the terminal.

    This is the error I keep receiving (when trying to install OpenShot):
    Code:
    root@kali:~# sudo dpkg -i openshot_1.4.3-1_all.deb
    (Reading database ... 318414 files and directories currently installed.)
    Preparing to replace openshot 1.4.3-1 (using openshot_1.4.3-1_all.deb) ...
    Unpacking replacement openshot ...
    dpkg: dependency problems prevent configuration of openshot:
     openshot depends on gtk2-engines-pixbuf; however:
      Package gtk2-engines-pixbuf is not installed.
     openshot depends on melt; however:
      Package melt is not installed.
     openshot depends on python-mlt5 | python-mlt3 | python-mlt2; however:
      Package python-mlt5 is not installed.
      Package python-mlt3 is not installed.
      Package python-mlt2 is not installed.
     openshot depends on python-pygoocanvas; however:
      Package python-pygoocanvas is not installed.
    
    dpkg: error processing openshot (--install):
     dependency problems - leaving unconfigured
    Processing triggers for python-support ...
    Processing triggers for mime-support ...
    Processing triggers for desktop-file-utils ...
    Processing triggers for gnome-menus ...
    Processing triggers for man-db ...
    Processing triggers for shared-mime-info ...
    Errors were encountered while processing:
     openshot
    I tried -f install and instead of installing the missing engines, it removed OpenShot:


    Code:
    root@kali:~# sudo apt-get -f install
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    Correcting dependencies... Done
    The following packages will be REMOVED:
      openshot
    0 upgraded, 0 newly installed, 1 to remove and 0 not upgraded.
    1 not fully installed or removed.
    After this operation, 61.1 MB disk space will be freed.
    Do you want to continue [Y/n]? y
    (Reading database ... 318414 files and directories currently installed.)
    Removing openshot ...
    Processing triggers for shared-mime-info ...
    Processing triggers for man-db ...
    Processing triggers for desktop-file-utils ...
    Processing triggers for gnome-menus ...
    Processing triggers for mime-support ...
    I looked for people with the same problem, but the solutions here did not work for me: http://ubuntuforums.org/showthread.php?t=1712079

    I am not sure, but it seems the Ubuntu solutions don't work well with Kali - am I correct?

    I'd like to thank you for your help, in advance.

  2. #2
    Join Date
    2013-Mar
    Posts
    43
    why not use repo... apt-get install openshot

  3. #3
    Join Date
    2015-Aug
    Posts
    2
    I tried using repo, but even that is not working:

    Code:
    root@kali:~# apt-get install openshot
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    openshot is already the newest version.
    You might want to run 'apt-get -f install' to correct these:
    The following packages have unmet dependencies:
     openshot : Depends: gtk2-engines-pixbuf but it is not installable
                Depends: melt but it is not installable
                Depends: python-mlt5 but it is not installable or
                         python-mlt3 but it is not installable or
                         python-mlt2 but it is not installable
                Depends: python-pygoocanvas but it is not installable
                Recommends: openshot-doc but it is not installable
                Recommends: frei0r-plugins but it is not installable
    E: Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a solution).
    Somebody please help.

Similar Threads

  1. Can I install packages from Debian repos?
    By gregs in forum General Archive
    Replies: 3
    Last Post: 2016-02-26, 14:43

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •